<?php

namespace App;
use \PDO;

class Connexion {

    private PDO $pdo;

    /**
     * @param PDO $pdo
     */
    public function __construct(PDO $pdo)
    {
        $this->pdo = $pdo;
    }

    public function exec(string $query, array $args) {
        $stmnt = $this->pdo->prepare($query);
        foreach ($args as $name => $value) {
            $stmnt->bindValue($name, $value[0], $value[1]);
        }
        $stmnt->execute();
    }

    public function fetch(string $query, array $args): array {
        $stmnt = $this->pdo->prepare($query);
        foreach ($args as $name => $value) {
            $stmnt->bindValue($name, $value[0], $value[1]);
        }
        $stmnt->execute();
        return $stmnt->fetchAll();
    }

}